/*
 *   Copyright (C) 2011-2016, Michael Anders, FH-Wedel
 *
 *  This file is part of the ECC-Implementation "Academic Signature"
 *  Maintainer: Michael Anders
 *
 *  All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
 

#ifndef THROWER_H
#define THROWER_H

//(*Headers(thrower)
#include <wx/button.h>
#include <wx/dialog.h>
#include <wx/sizer.h>
#include <wx/textctrl.h>
#include <wx/timer.h>
//*)

class thrower: public wxDialog
{
	public:

		thrower(wxWindow* parent,wxString message, int s=0,wxWindowID id=wxID_ANY,const wxPoint& pos=wxDefaultPosition,const wxSize& size=wxDefaultSize);
		virtual ~thrower();

		//(*Declarations(thrower)
		wxButton* Button1;
		wxTextCtrl* TextCtrl1;
		wxTimer Timer1;
		//*)

	protected:

		//(*Identifiers(thrower)
		static const long ID_TEXTCTRL1;
		static const long ID_BUTTON1;
		static const long ID_TIMER1;
		//*)

	private:

		//(*Handlers(thrower)
		void OnOk(wxCommandEvent& event);
		void OnTimeout(wxTimerEvent& event);
		//*)

		int sec;

		DECLARE_EVENT_TABLE()
};

#endif
